Package com.smartgwt.client.types

# Enum ForceTextApproach

java.lang.Object
java.lang.Enum<ForceTextApproach>
com.smartgwt.client.types.ForceTextApproach

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<ForceTextApproach>`, `Constable`

public enum ForceTextApproach extends Enum<ForceTextApproach> implements ValueEnum
Approach to force a text value to be interpreted as text rather than parsed as a date, time or other structured types, as can happen with Microsoft Excel. For background information, see `ExcelPasting`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FORMULA`
  text value is turned into a trivial Excel formula (eg "car" becomes ="car").
  `LEADINGSPACE`
  a leading space character is added

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static ForceTextApproach`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ForceTextApproach[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LEADINGSPACE

    public static final ForceTextApproach LEADINGSPACE
    a leading space character is added

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "leadingSpace".

  - ### FORMULA

    public static final ForceTextApproach FORMULA
    text value is turned into a trivial Excel formula (eg "car" becomes ="car"). In Excel, this renders just the value "car" but editing the cell reveals the formula.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "formula".

- ## Method Details

  - ### values

    public static ForceTextApproach[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ForceTextApproach valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`